[Scipy-tickets] [SciPy] #401: sparsetools.so: Symbol not found:_fprintf$LDBLStub

SciPy scipy-tickets@scipy....
Mon Apr 23 13:36:36 CDT 2007


#401: sparsetools.so: Symbol not found:_fprintf$LDBLStub
--------------------------+-------------------------------------------------
 Reporter:  jhristov      |       Owner:  somebody     
     Type:  defect        |      Status:  new          
 Priority:  normal        |   Milestone:  0.5.3 Release
Component:  scipy.sparse  |     Version:  devel        
 Severity:  blocker       |    Keywords:  LDBLStub     
--------------------------+-------------------------------------------------
 Hello,

 I get the following error message with the latest Mac distribution fo
 Scipy:

 from sparse import *

 File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4
 /site-packages/scipy/sparse/sparse.py", line 15, in ?
 from scipy.sparse.sparsetools import densetocsr, csrtocsc, csrtodense, \

 ImportError: Failure linking new module:
 /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-
 packages/scipy/sparse/sparsetools.so: Symbol not found: _fprintf$LDBLStub

 The following solution was suggested at http://www.mail-archive.com/fink-
 devel@lists.sourceforge.net/msg11877.html

 "In that case, you need to add -lSystemStubs to the compilation command."

 Thanks

-- 
Ticket URL: <http://projects.scipy.org/scipy/scipy/ticket/401>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list